# std::tr1::_Function_base Class Reference

Inheritance diagram for std::tr1::_Function_base:

List of all members.

## Detailed Description

Definition at line 842 of file tr1/functional.

## Public Types

- typedef bool(*) _Manager_type (_Any_data &, const _Any_data &, _Manager_operation)

## Public Member Functions

- _Function_base ()
- bool _M_empty () const
- ~_Function_base ()

## Public Attributes

- _Any_data _M_functor
- _Manager_type _M_manager

## Static Public Attributes

- static const std::size_t _M_max_align
- static const std::size_t _M_max_size

## Classes

- class _Base_manager
- class _Ref_manager

The documentation for this class was generated from the following file:

- tr1/functional